[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

PPP patches



Hi,

Here are the patches to get pam support working in ppp-2.3.1, or at least
i believe that it works :) Patch is agains clean ppp-2.3.1 tree.

I also created a compile time option OVERRIDE_PAPFILE, which makes pppd to
forget /etc/ppp/pap-secrets and use only PAM. To compile with this and PAM
support use:
make USE_PAM=1 OVERRIDE_PAPFILE=1

The patch has also included some pathc to get ppp-2.3.1 working with
2.0.30 kernel, i haven't changed the ppp.c a bit, so you can remove this
patch by copying clean ppp.c to the tree i think.


Attachment: ppp_pam_patch.gz
Description: Binary data


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index] []